<?php declare(strict_types=1);

namespace App\State;

use ApiPlatform\Metadata\Operation;
use ApiPlatform\State\ProviderInterface;
use App\Entity\FoodOrder;
use App\Repository\FoodOrderRepository;
use Override;

final readonly class OpenOrdersProvider implements ProviderInterface
{
    public function __construct(
        private FoodOrderRepository $repository
    ) {}

    /**
     * @return FoodOrder[]
     */
    #[Override]
    public function provide(Operation $operation, array $uriVariables = [], array $context = []): array
    {
        return $this->repository->findOpenOrders();
    }
}
